Subject: Fw: I-D ACTION:draft-andersson-rtg-gmpls-change-04.txt

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 7 Oct 2006 13:52:56 +0100

Hi,

A new revision of the MPLS and GMPLS change process I-D is available. This 
process appears to be stable and we are thinking of taking to the IESG quite 
soon, so review it now or risk having to live with it.

The changes in this revision are largely to clarify the use of the 
Preliminary Investigation phase.

===
Section 1.2
Change 2119 boiler plate to
   Although this document is not a protocol definition, the key words
   "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD",
   "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this document
   are to be interpreted as described in RFC 2119 [RFC2119]. This usage
   is chosen to make the steps and procedures completely clear.
===
Section 2.3 final paragraph
ADD
   It should be noted that the first stage in the change process is an
   optional Preliminary Investigation (see Section 4.2.1). This stage is
   explicitly included to allow external organizations to discuss
   requirements and proposed uses of the (G)MPLS technologies without
   the need to first develop Internet-Drafts, and builds on existing
   liaison processes where they exist.
===
Section 2.4
ADD
   o  Preliminary Investigation
      An optional preliminary phase that may be used to exchange views
      on a proposed requirement and usage of the (G)MPLS technologies
      without going to the effort of writing an Internet-Draft. This
      phase may be particularly useful to SDOs that have already
      invested heavily in documenting a problem statement, or may be
      used by anyone who wishes to hold discussions on the use of
      (G)MPLS.
===
Section 3
ADD para 2
   Whenever there is reason to believe that a particular problem may be
   solved by use of or extensions to the (G)MPLS protocols, a
   preliminary investigation phase may be used to discuss the
   requirements with the IETF. This may lead to an understanding that
   the problem is already solved, is outside the scope of the IETF, or
   requires more investigation possibly leading to changes to the
   (G)MPLS protocols.
===
Section 4.2.1 para 2
ADD
   In fact, although this step is described
   as lightweight because no Internet-Draft is required and because the
   nature of the step is discursive, it may be the case that this step
   involves considerable technical discussions and may, in fact, be an
   extensive, substantive exchange of opinions.
===
Section 4.2.1 para 3
s/may/MAY/
===
Section 4.2.1 final para
ADD
   A possible outcome of this preliminary invsetigation is that the
   requirements and problem are understood, but agreed to be out of
   scope for the IETF. Alternatively it may be that the problem can be
   solved with existing protocols.
===
Section 5.2 bullet 1
ADD
   (see Section 4.2.1)
===
Section 5.2 bullet 2
ADD
   (see Section 4.2.1)
===
Section 8 para 4
s/may/MAY/
===

----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, October 04, 2006 11:50 PM
Subject: I-D ACTION:draft-andersson-rtg-gmpls-change-04.txt

>A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
>
>
> Title : Change Process for Multiprotocol Label Switching (MPLS) and 
> Generalized MPLS (GMPLS) Protocols and Procedures
> Author(s) : L. Andersson, A. Farrel
> Filename : draft-andersson-rtg-gmpls-change-04.txt
> Pages : 22
> Date : 2006-10-4
>
> The issues surrounding the extensibility of IETF protocols have been
>   widely debated. These issues include when it is reasonable to
>   extend IETF protocols with little or no review, and when extensions
>   or variations need to be reviewed by the larger IETF community.
>   Experience with IETF protocols has shown that extensibility of
>   protocols without early IETF review can cause problems.
>
>   The Multiprotocol Label Switching (MPLS) and Generalized MPLS (GMPLS)
>   suites of protocols have become popular for a number of applications
>   and deployment scenarios. One result of this popularity is a large
>   number of suggestions for modifications and extensions.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-andersson-rtg-gmpls-change-04.txt
>
> To remove yourself from the I-D Announcement list, send a message to
> [email-masked] with the word unsubscribe in the body of
> the message.
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> to change your subscription settings.
>
> Internet-Drafts are also available by anonymous FTP. Login with the
> username "anonymous" and a password of your e-mail address. After
> logging in, type "cd internet-drafts" and then
> "get draft-andersson-rtg-gmpls-change-04.txt".
>
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
> Internet-Drafts can also be obtained by e-mail.
>
> Send a message to:
> [email-masked].
> In the body type:
> "FILE /internet-drafts/draft-andersson-rtg-gmpls-change-04.txt".
>
> NOTE: The mail server at ietf.org can return the document in
> MIME-encoded form by using the "mpack" utility.  To use this
> feature, insert the command "ENCODING mime" before the "FILE"
> command.  To decode the response(s), you will need "munpack" or
> a MIME-compliant mail reader.  Different MIME-compliant mail readers
> exhibit different behavior, especially when dealing with
> "multipart" MIME messages (i.e. documents which have been split
> up into multiple messages), so check your local documentation on
> how to manipulate these messages.
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.

_______________________________________________
routing-discussion mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/routing-discussion